Subject: Re: bug#41744: 27.0.91; Various D-Bus cleanups

From: Michael Albinus <[email-masked]>
Date: Thu, 18 Jun 2020 11:59:14 +0200

"Basil L. Contovounesios" <[email-masked]> writes:

Hi Basil,

> The doc patch for emacs-27 has now propagated to master, so here's a
> rebased version of the patch for master.  WDYT?
>
> --- a/lisp/net/dbus.el
> +++ b/lisp/net/dbus.el
> @@ -169,7 +166,6 @@ dbus-ignore-errors
>
>  (define-obsolete-variable-alias 'dbus-event-error-hooks
>    'dbus-event-error-functions "24.3")

I believe we should remove this variable now.

> @@ -339,8 +335,8 @@ dbus-call-method
>
> +(define-obsolete-function-alias 'dbus-call-method-non-blocking
> +  #'dbus-call-method "24.3")

Dito.

Otherwise, it looks good to me (but I haven't tested comprehensively).

For a while, I have on my wishlist to declare a D-Bus event as a
defstruct, like this:

(cl-defstruct (dbus-event (:type list) :named)
  "A D-Bus event, coming from or sent to other applications."
  bus-name message-type serial-number
  service-name path-name interface-name member-name handler)

But I don't know whether it is worth the effort.

> Thanks,
> --
> Basil

Best regards, Michael.